// Brk.java

package core.bshbackend;

import core.exceptions.SemanticError;
import core.intermediatecode.Instr;

/**
 * The Break instruction implementation for BSH
 * @author baltasarq
 */

public class Brk extends Opcode {
    public Brk(Instr instr)
    {
        super( instr );
    }

    @Override
    public core.intermediatecode.instrs.Brk getInstr()
    {
        return (core.intermediatecode.instrs.Brk) super.getInstr();
    }

    @Override
    public String emit() throws SemanticError {
        return Reserved.Break + Reserved.EndOfInstructionMark;
    }
}
