// Nop.java

package core.bshbackend;

import core.exceptions.SemanticError;
import core.intermediatecode.Instr;

/**
 * Represents the no operation. Should be translated as nothing
 * @author baltasarq
 */
public class Nop extends Opcode {
    public Nop(Instr instr)
    {
        super( instr );
    }

    @Override
    public core.intermediatecode.instrs.Nop getInstr()
    {
        return (core.intermediatecode.instrs.Nop) super.getInstr();
    }

    @Override
    public String emit() throws SemanticError {
        return "";
    }
}

