// SemanticError.java

package core.exceptions;

import core.CompilingError;
import core.I18n;
import core.lexical.Position;

/**
 * Represents semantic errors
 * @author baltasarq
 */
public class SemanticError extends CompilingError {

    public SemanticError(Position pos, String message)
    {
        super( pos, I18n.get( I18n.Sentence.SemanticError ) + " (" + message + ")" );
    }
}
