// SyntaxError.java

package core.exceptions;

import core.CompilingError;
import core.I18n;
import core.lexical.Position;

/**
 * Represents syntax errors
 * @author baltasarq
 */
public class SyntaxError extends CompilingError {
    public SyntaxError(Position pos, String message)
    {
        super( pos, I18n.get( I18n.Sentence.SyntaxError ) + " (" + message + ")" );
    }
}
