// AmbiguityError.java

package core.exceptions.semantic;

import core.I18n;
import core.exceptions.SemanticError;
import core.lexical.Position;

/**
 * Represents ambiguity exceptions.
 * @author baltasarq
 */
public class AmbiguityError extends SemanticError {
    
    public AmbiguityError(Position pos, String message)
    {
        super( pos, I18n.get( I18n.Sentence.AmbiguityError ) + ": " + message );
    }
    
}
