// CodeBlockOwner.java

package core.intermediatecode;

import core.intermediatecode.instrs.Fun;

/**
 * Represents those mnemos which own a codeblock.
 * @author baltasarq
 */
public interface CodeBlockOwner {

    
    public CodeBlock getInstrs();
    public CodeBlockOwner getOwner();
    
    public Data lookForData(String id);
    public Data lookForVar(String id);
    public Data lookForConst(String id);
    public Fun[] lookForFn(String id, Type[] paramTypes);
    
}
