/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core.intermediatecode.instrs;

import core.exceptions.syntax.IncorrectId;
import core.intermediatecode.RefId;
import core.lexical.Position;

/**
 * Less than or equal binary operator
 * @author baltasarq
 */
public class Lte extends LogicBinaryOp {
    public static String Name = "LTE";

    public Lte(Position pos, String var1, String var2) throws IncorrectId
    {
        this( pos, new RefId( pos, var1 ), new RefId( pos, var2 ) );
    }

    public Lte(Position pos, RefId var1, RefId var2)
    {
        super( pos, var1, var2 );
    }

    @Override
    public String toString() {
        return ( Name + ' ' + super.toString() );
    }
}
