// NumericalLiteral.java

package core.intermediatecode.literals;

import core.intermediatecode.Literal;

/**
 *
 * @author baltasarq
 */
public abstract class NumericalLiteral extends Literal {

    public static Literal create(String strNumber) {
        Literal toret = null;
        
        // Try int
        try {
            toret = new IntLiteral( Integer.parseInt( strNumber ) );
        }
        catch(Exception exc)
        {
            toret = null;
        }
        
        // Try double if needed
        if ( toret == null ) {
            // Try Double
            try {
                toret = new DoubleLiteral( Double.parseDouble( strNumber ) );
            }
            catch(Exception exc)
            {
                toret = null;
            }
        }
        
        return toret;
    }

}
