// CharType.java
package core.intermediatecode.types;

/**
 * Represents characters
 * @author baltasarq
 */
public class CharType extends NumericalType {
    public static final String Name = "chr";

    private CharType()
    {
    }

    public static CharType get()
    {
        if ( instance == null ) {
            instance = new CharType();
        }

        return instance;
    }

    @Override
    public String toString() {
        return Name;
    }

    private static CharType instance = null;

    @Override
    public Class getJavaType() {
        return char.class;
    }
}
