
/**
	jC limits standard library package
	
	@name   Limits (jC Standard Library)
	@brief  Reports on limits of numerical types
	@date   2010-12-1
	@author jbgarcia@uvigo.es
*/

public class limits {

/// The maximum integer that can be stored
public static final int MaxInt = Integer.MAX_VALUE;

/// The minimum integer that can be stored
public static final int MinInt = Integer.MIN_VALUE;

/// The maximum double that can be stored
public static final double MaxDbl = Double.MAX_VALUE;

/// The minimum double that can be stored
public static final double MinDbl = Double.MIN_VALUE;

} // class limits
