// Cnt.java

package core.bshbackend;

import core.exceptions.SemanticError;
import core.intermediatecode.Instr;

/**
 * The Continue instruction implementation for BSH
 * @author baltasarq
 */

public class Cnt extends Opcode {
    public Cnt(Instr instr)
    {
        super( instr );
    }

    @Override
    public core.intermediatecode.instrs.Cnt getInstr()
    {
        return (core.intermediatecode.instrs.Cnt) super.getInstr();
    }

    @Override
    public String emit() throws SemanticError {
        return Reserved.Continue + Reserved.EndOfInstructionMark;
    }
}
