/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core.bshbackend;

import core.exceptions.SemanticError;
import core.intermediatecode.Instr;

/**
 *
 * @author baltasarq
 */
public class Ret extends Opcode {

    public Ret(Instr instr)
    {
        super( instr );
    }

    @Override
    public core.intermediatecode.instrs.Ret getInstr()
    {
        return (core.intermediatecode.instrs.Ret) super.getInstr();
    }

    @Override
    public String emit() throws SemanticError {
        String toret = "";
        
        if ( this.getInstr().getId() != null ) {
            toret = Reserved.Return + ' ' + this.getInstr().getId().toString();
            toret += Reserved.EndOfInstructionMark; 
        }

        return toret;
    }

}
