// EndOfInstruction.java

package core.exceptions.syntax;

import core.exceptions.SyntaxError;
import core.lexical.Position;
import core.I18n;

/**
 * syntax error: end of line mark was not found.
 * @author baltasarq
 */

public class EndOfInstruction extends SyntaxError {

    public EndOfInstruction(Position pos, String message)
    {
        super( pos, I18n.get( I18n.Sentence.MissingSemicolon ) + ": " + message );
    }

}
