// Module.java

package core.intermediatecode;

import java.io.File;

/**
 * Represents user modules
 * @author baltasarq
 */
public class Module extends CodeUnit {

    public static final String ModulePrefix  = "mod_";
    public static final String ModuleFileExt  = "jcm";

    public Module(File source)
    {
        super( source );
    }

    public String getDocFilePrefix()
    {
        return ModulePrefix;
    }
    
    @Override
    public CodeBlockOwner getOwner()
    {
        return null;
    }
    
    @Override
    public String getHtmlHeader()
    {
        return ( "&#167; " + super.getHtmlHeader() );
    }
}
