// Not.java

package core.intermediatecode.instrs;

import core.intermediatecode.RefId;
import core.lexical.Position;

/**
 * Represents the negation operator.
 * @author baltasarq
 */
public class Not extends LogicUnaryOp {
    public static String Name = "NEG";

    public Not(Position pos, RefId var1)
    {
        super( pos, var1 );
    }

    @Override
    public String toString() {
        return ( Name + ' ' + super.toString() );
    }
}
