/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core.intermediatecode.types;

import core.intermediatecode.Type;

/**
 *
 * @author baltasarq
 */
public class BoolType extends Type {
    public static final String Name = "bol";
    private static BoolType instance;
    
    private BoolType()
    {
    }

    public static BoolType get()
    {
        if ( instance == null ) {
            instance = new BoolType();
        }

        return instance;
    }

    @Override
    public String toString() {
        return Name;
    }

    @Override
    public Class getJavaType() {
        return boolean.class;
    }
}
