/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core.intermediatecode.types;

import java.lang.reflect.Type;

/**
 *
 * @author baltasarq
 */
public class IntType extends NumericalType {
    public static final String Name = "int";
    private static IntType instance;

    private IntType()
    {
    }

    public static IntType get()
    {
        if ( instance == null ) {
            instance = new IntType();
        }

        return instance;
    }

    @Override
    public String toString() {
        return Name;
    }

    @Override
    public Class getJavaType() {
        return int.class;
    }
}
