/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core.intermediatecode.visibilities;

/**
 * Private visibility: they cannot be referenced.
 * @author baltasarq
 */
public final class PrivateVisibility extends Visibility {
    public static final String Name = "prv";

    private PrivateVisibility()
    {
    }

    public static PrivateVisibility get()
    {
        if ( instance == null ) {
            instance = new PrivateVisibility();
        }

        return instance;
    }

    @Override
    public String toString()
    {
        return Name;
    }

    private static PrivateVisibility instance = null;
}