/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core.jsbackend;

import core.exceptions.SemanticError;
import core.intermediatecode.Instr;

/**
 *
 * @author baltasarq
 */
public class Whl extends Opcode {

    public Whl(Instr instr)
    {
        super( instr );
    }

    @Override
    public core.intermediatecode.instrs.Whl getInstr()
    {
        return (core.intermediatecode.instrs.Whl) super.getInstr();
    }

    @Override
    public String emit() throws SemanticError {
        StringBuilder toret = new StringBuilder();

        toret.append( Reserved.While );
        toret.append( " (" );
        toret.append( this.getInstr().getVar().toString() );
        toret.append( ")" );

        Opcode.generateBody(this.getInstr().getInstrs(), toret);

        return toret.toString();
    }

}
