
package jcv.core;

/**
 * Info about this application
 * @author baltasarq
 * @date Oct 2010
 */
public class AppInfo {
    private static String startProgramTemplate = "";
    private static String startModuleTemplate = "";

    public static final String Name = "vjC";
    public static final String Version = "1.2 201309";
    public static final String Author = "jbgarcia@uvigo.es";
    public static final String Info = "Visual jC";

    public static final String Error = "Error";

    public static String getCompleteName()
    {
        return Name + " v" + Version;
    }

    public static String getProgramTemplate()
    {
        if ( startProgramTemplate.isEmpty() )
        {
            StringBuilder toret = new StringBuilder();

            toret.append( "\n/** @name   \n" );
            toret.append( "  * @brief  Prog...\n" );
            toret.append( "  * @author usr@mail.com\n" );
            toret.append( "  * @date   yyyy-mm-dd\n" );
            toret.append( "  */\n" );
            toret.append( "\nimport std.io;\n" );
            toret.append( "import std.util;\n" );
            toret.append( "\nint main()\n{\n" );
            toret.append( "\twriteln( \"Hola!\" );\n\n" );
            toret.append( "\treturn ExitSuccess;\n" );
            toret.append( "}\n" );

            startProgramTemplate = toret.toString();
        }

        return startProgramTemplate;
    }

    public static String getModuleTemplate()
    {
        if ( startModuleTemplate.isEmpty() )
        {
            StringBuilder toret = new StringBuilder();

            toret.append( "\n/** @name   \n" );
            toret.append( "  * @brief  Mod...\n" );
            toret.append( "  * @author usr@mail.com\n" );
            toret.append( "  * @date   yyyy-mm-dd\n" );
            toret.append( "  */\n" );
            toret.append( "\n/// @brief" );
            toret.append( "\n/// @param x " );
            toret.append( "\n/// @return" );
            toret.append( "\npublic void fn(int x)\n{\n}\n\n" );

            startModuleTemplate = toret.toString();
        }

        return startModuleTemplate;
    }
}
