// Main.java

package jcv.ui;

import jcv.core.AppInfo;

import javax.swing.*;

/**
 * Triggers the execution of the main Gui
 * User: baltasarq
 * Date: 5/15/13
 */
public class Main {
    public static void main(String[] args)
    {
        try {
            final MainGui gui = new MainGui();

            gui.setLocationRelativeTo( null );

            java.awt.EventQueue.invokeLater( new Runnable() {
                public void run() {
                    UIManager.put( "swing.boldMetal", Boolean.FALSE );
                    gui.setVisible( true );
                }
            });
        }
        catch(Throwable exc)
        {
             SwingUtil.showErrorMsg( null, AppInfo.Name, exc.getLocalizedMessage() );
        }

    }
}
